<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>isJq</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
    <div>
        <button>В div-конт.</button>
    </div>
    <div>
        <button>В div-конт.</button>
    </div>
    <span>
        <button>Кнопака в span-конт.</button>
    </span>
    <div>
        <button>В div-конт.</button>
    </div>
    <span>
        <button>Кнопака в span-конт.</button>
    </span>
    <p></p>

    <script>
        $('button').click(function () {
            var elem = '';
            if($(this).parent().is('div')){
                elem = 'div';
            }else {
                elem = 'span';
            }
            $('p').html('Это элемент :' + elem);
        })
    </script>
</body>
</html>